<?php
ob_start();
session_name('CAKEPHP'); session_start();
$PageSecurity = 3;
include ('includes/session.inc');
include ('includes/function_lib.php');
include('includes/fun-php.php');
include('includes/fun-HRClass.php');
global $db; 
$ledgerdata = $_REQUEST['ledgerdata'];
$fromdate_1=ConvertSQLDate($_REQUEST['fromdate']);
$todate_1=ConvertSQLDate($_REQUEST['todate']);
//$GetRecord1 = $_SESSION['ACGAccountBookQuery'];
//$GetRecord1= $_SESSION['ledger'];
if($ledgerdata!='0')
{
  $GetRecord1 ="SELECT A.VPrefix  ,A.Voucher_NO ,A.id AS Pid, A.Dates FROM account_book A, account_book_details b WHERE A.id=b.account_bookid and A.Dates between  '".$fromdate_1."' and '".$todate_1."'
   and branch='".$_REQUEST['site']."' and A.VPrefix  ='".$_REQUEST['vprifix']."' and b.ledgerid='".$_REQUEST['ledgerdata']."' and A.cancel_status=0 ".$cond." 
    group by A.Voucher_NO ORDER BY  A.Dates ASC";
 }
 else
 {
 	$GetRecord1="SELECT A.VPrefix  ,A.Voucher_NO ,A.id AS Pid, A.Dates FROM account_book A, account_book_details b WHERE A.id=b.account_bookid and A.Dates between  '".$fromdate_1."' and '".$todate_1."'
   and branch='".$_REQUEST['site']."' and A.VPrefix  ='".$_REQUEST['vprifix']."' and A.cancel_status=0 ".$cond." 
    group by A.Voucher_NO ORDER BY  A.Dates ASC";
 } 
$ResultData1 = DB_query($GetRecord1,$db);
$numrows = DB_num_rows($ResultData1);

$getLedgerName=$s->GetFieldValue('accountledger',"AccountsID='".$ledgerdata."'" ,'AccountName');
$accountType=$s->GetFieldValue('accountledger',"AccountsID='".$ledgerdata."'" ,'openingtype');
if($accountType=='DR')
{
$openingDRBalance=$s->GetFieldValue('accountledger',"AccountsID='".$ledgerdata."'" ,'openingBalance');
}
elseif($accountType=='CR')
{
$openingCRBalance=$s->GetFieldValue('accountledger',"AccountsID='".$ledgerdata."'" ,'openingBalance');
}
$Compamies=DB_query("select * from companies",$db);
  $CompamiesRow=DB_fetch_array($Compamies);
  $sql1 = "SELECT * FROM companies where CompanyId='".$_SESSION['ACGCompanyId']."'";
  $sqlres = DB_query($sql1,$db);
  $companyRow = DB_fetch_array($sqlres);

$CompamiesRow['CompanyId'];
$branch=$s->GetFieldValue('locations',"CompanyId='".$CompamiesRow['Branch_Permission']."'",'locationname');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
  <meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
<title>Account Book</title>

<style type="text/css" media="print">
  @page port {size: portrait;}
@page land {size: landscape;}
 .portrait {page: port;}
.wrapper {page: land;}

</style>

<style type="text/css"> 
@print {size: portrait; margin:10px;}

@media print{
body{ margin:0px; padding:0px;  font-size:12px; line-height: 18px; font-family: Arial, Helvetica, sans-serif; color:#000; font-weight:normal;}

h1,h2,h3,h4,h5,p{ margin:0px; padding:0px;}
p{ text-align:left;}

h1{
  font-size: 20px; line-height: 24px;
  font-weight:normal;
  font-family:Arial, Helvetica, sans-serif !important;
}
h2{
  font-size: 18px; line-height: 22px;
  font-weight:normal;
  font-family:Arial, Helvetica, sans-serif !important;
}
thead{display: table-header-group;}
.wrapper{width:99%; height: auto; float:left; border:#000000 1px solid; border-bottom:#000000 1px solid;}
.div_first, .div_first .full{
  width: 100%; height: auto;
  /*border-bottom: #000000 1px solid;
  border-top: #000000 1px solid;*/
  /*border-left: #000000 1px solid;
  border-right: #000000 1px solid;*/
  float: left; position: relative;
}
 .div_first .left
  {
    width:18%; text-align:left; height:auto; vertical-align:middle; height:auto; padding: 1%; float:left;
  }
  .div_first .middle
  {
    width:58%; text-align:center; padding: 1%; margin:0 auto; float: left;
  }
  .div_first .right
  {
    width:18%; text-align:right; padding: 1%; float: left;
  }

.div_first .full{text-align: center; border: 0;}
.div_second, .div_third, .div_forth{
  width: 100%;
  height:auto;
  border-top: #000000 1px solid;
  /*border-bottom: #000000 1px solid;*/
  /*border-left: #000000 1px solid;
  border-right: #000000 1px solid;*/
  float: left;
}
.div_second table tr th, .div_second table tr td{border-right:#000000 0px solid; border-bottom:#000000 1px solid;}
.div_second table tr th{text-align: left;}
.div_second table tr th:last-child, .div_second table tr td:last-child{border-right:0;}
.div_second table tr:last-child td{border-bottom:0;}
.div_second table tr td > table tr td{border-right:#000000 1px solid; border-bottom:#000000 1px solid;}
.div_second table tr td > table tr td:last-child{border-right:0;}
.div_second table tr td > table tr:last-child td{border-bottom:0;}

.div_third table tr th, .div_third table tr td{ border-bottom:#000 1px solid; border-right:#000 1px solid;}
.div_third table tr th{background-color:transparent; text-align: left;}
.div_third table tr th:last-child, .div_third table tr td:last-child{border-right:none;}
.div_third table tr:last-child td{border-bottom:none;}

.div_forth table tr th, .div_forth table tr td{ border-bottom:#000 1px solid; border-right:#000 1px solid;}
.div_forth table tr th{background-color: #ccc; text-align: left;}
.div_forth table tr th:last-child, .div_forth table tr td:last-child{border-right:none;}
.div_forth table tr:last-child td{border-bottom:none;}

.f12{ font-weight: bold; color:#000; font-size:12px;}
.f11{color:#000; font-size:12px; font-weight: normal; line-height:18px;}
.f14{color:#000; font-size:18px;}
.mt26{margin-top:4px; width:90%;}
.mt27{margin-top:0px; width:70%;}
.mt28{margin-top:0px; width:100%;}
.border_top{border-top:#000 1px solid;}
.border_bottom{border-bottom:#000 1px solid;}
.wdt1{width:8%;}
.wdt2{width:100px;}
.wdt3{width: 66px;}
.wdt4{width: 80px;}
.wdt5{width: 52px;}
.wdt6{width: 60px;}
}

@media screen{
/* CSS Document */
body{ margin:0px; padding:0px; background-color:#fff; font-size:12px; line-height: 18px; font-family: Arial, Helvetica, sans-serif; color:#000; font-weight:normal;}
h1,h2,h3,h4,h5,p{ margin:0px; padding:0px;}
p{ text-align:left;}

#foo{width:1070px; height: auto; margin:0px auto;}
.wrapper{width:1070px; height: auto; margin:10px auto; border-top:#000000 1px solid;}

h1{
  font-size: 24px; line-height: 28px;
  font-weight:bold;
  font-family:Arial, Helvetica, sans-serif !important;
}
h2{
  font-size: 18px; line-height: 22px;
  font-weight:normal;
  font-family:Arial, Helvetica, sans-serif !important;  
}
.div_first, .div_first .full{
  width: 100%; height: auto;
  /*border-bottom: #000000 1px solid;
  border-top: #000000 1px solid;*/
  border-left: #000000 1px solid;
  border-right: #000000 1px solid;
  float: left; position: relative; display: table;
}
.div_first .full{text-align: center; border: 0; margin:10px 0 0;}
.div_first .left, .div_first .middle, .div_first .right{float: left; display: table-cell; vertical-align: middle;}
.div_first .left
{
  width:18%; text-align:center; height:auto; vertical-align:middle; padding: 1%; 
}
.div_first .middle
{
  width:58%; text-align:center; padding: 1%; position: relative; margin:0 auto;
}
.div_first .right
{
  width:18%; text-align:center; padding:1%; 
}
.div_second, .div_third, .div_forth{
  width: 100%; height: auto;
  /*border-bottom: #000000 1px solid;*/
  border-top: #000000 1px solid;
  border-left: #000000 1px solid;
  border-right: #000000 1px solid;
  float: left;
}
.div_second table tr th, .div_second table tr td{border-right:#000000 0px solid; border-bottom:#000000 1px solid;}
.div_second table tr th{background-color: #ccc; text-align: left;}
.div_second table tr th:last-child, .div_second table tr td:last-child{border-right:0;}
/*.div_second table tr:last-child td{border-bottom:0;}*/
.div_second table tr td > table tr td{border-right:#000000 1px solid; border-bottom:#000000 1px solid;}
.div_second table tr td > table tr td:last-child{border-right:0;}
.div_second table tr td > table tr:last-child td{border-bottom:0;}

.div_third table tr th, .div_third table tr td{ border-bottom:#000 1px solid; border-right:#000 1px solid;}
.div_third table tr th{background-color: #ccc; text-align: left;}
.div_third table tr th:last-child, .div_third table tr td:last-child{border-right:none;}
.div_third table tr:last-child td{border-bottom:none;}

.div_forth{border-bottom:#000000 1px solid;}

.f12{font-weight: bold; color:#000; font-size:12px;}
.f11{ color:#000; font-size:12px; font-weight: normal; line-height:18px;}
.f14{ color:#000; font-size:18px;}
.mt26{margin-top:4px; width:90%;}
.mt27{margin-top:0px; width:100%;}
.mt28{margin-top:0px; width:90%;}
.border_top{border-top:#000 1px solid;}
.border_bottom{border-bottom:#000 1px solid;}
.wdt1{width:10%;}
.wdt2{width:180px;}
.wdt3{width: 66px;}
.wdt4{width: 120px;}
.wdt5{width: 52px;}
.wdt6{width: 70px;}
}
</style>

 </head>
 <body>
<div id="foo">
  <p style="text-align:right;"><input type="button" onclick="javascript:toggle_visibility('foo');" value="Print" /></p>
</div>
<div class="wrapper">
<?php 
   $sql1 = "SELECT * FROM companies where CompanyId='".$_SESSION['ACGCompanyId']."'";
  $sqlres = DB_query($sql1,$db);
  $companyRow = DB_fetch_array($sqlres);
  
// order Details
 $arr=array(1=>"Jan","Feb","Mar","Apr","May","June","July","Aug","Sept","Oct","Nov","Dec"); 

?>
<div class="div_first">
<?php $logoImage=($CompamiesRow['CompanyLogo']=='')?'electra.jpg':$CompamiesRow['CompanyLogo']; ?>
      <div class="left"><img src="Setup/CompanyLogo/<?php echo $logoImage;  ?>" class="mt26" /></div>
      <div class="middle"><?php 
    if($CompamiesRow['CompanyName']!="") {echo "<h1>".$CompamiesRow['CompanyName']."</h1>"; } else { echo "";}
    
    if($InoRow['deladd1']!="") { echo $InoRow['deladd1']; } else { echo "";}
    if($InoRow['deladd2']!="") { echo ", ". $InoRow['deladd2']; } else { echo "";}
    if($InoRow['deladd3']!="") { echo ", ". $InoRow['deladd3']; } else { echo "";}
    if($InoRow['city']!="") { echo ", ". $s->getFieldValue("city_master", "id='".$InoRow['city']."'", "city"); } else { echo "";}
    if($InoRow['pincode']!="") { echo " - ".$InoRow['pincode']; } else { echo "";}
    if($InoRow['state']!="") { echo ", ". $s->getFieldValue("state_master", "id='".$InoRow['state']."'", "state"); } else { echo "";}
    if($InoRow['country']!="") { echo ", ". $s->getFieldValue("country_master", "id='".$InoRow['country']."'", "country");
    
     } else { echo "";}
    ?>
     <div class="full"><span class="f11"><?php echo "Phone No.:".$CompamiesRow['Phone'].",   Fax No.: ".$CompamiesRow['fax'].", Email ID.: ".$CompamiesRow['email'].",   Website: ".$CompamiesRow['website']; ?><br>
   <?php $logo="<span class='f11'>".'Showing'.' '.$Slogan.' '.$getLedgerName.' '.'From:'.' '.$_REQUEST['fromdate'].' '.'To:'.' '.$_REQUEST['todate']."</span>";
echo $logo; ?>
  </span></div>
      <h2><?php echo $s->GetFieldValue('voucher_master',"VoucherType='".$_REQUEST['vprifix']."'",'GroupName'); ?></h2>
      </div>
      <div class="right"></div>
</div>

	<div class="div_second">
<table width="100%" border="0" cellspacing="0" cellpadding="3">
<?php
if($_REQUEST['ledgerentry']==1 || $_REQUEST['ledgerentry']==2) 
{
	$header .= "<tr>";
	$header .= "<th width='5%' class='f12'>S. No.</th>";
	$header .= "<th width='7%' class='f12'>Date</th>";
	$header .= "<th class='f12'>Particulars</th>";
	$header .= "<th width='10%' class='f12'>Voucher No.</th>";
	$header .= "<th width='10%' class='f12'>Voucher Type</th>";
	$header .= "<th width='10%' class='f12'>Debit Amount</th>";
	$header .= "<th width='10%' class='f12'>Credit Amount</th>";
	$header .= "<th width='10%' class='f12'>Narrations</th>";
	$header .= "</tr>";
}
else
{
	$header .= "<tr>";
	$header .= "<th width='5%' class='f12'>S. No.</th>";
	$header .= "<th width='7%' class='f12'>Date</th>";
	$header .= "<th class='f12'>Particulars</th>";
	$header .= "<th width='10%' class='f12'>Voucher No.</th>";
	$header .= "<th width='10%' class='f12'>Voucher Type</th>";
	$header .= "<th width='10%' class='f12'>Debit Amount</th>";
	$header .= "<th width='10%' class='f12'>Credit Amount</th>";
	$header .= "</tr>";
}
echo $header;
$counter=0;	
if(DB_num_rows($ResultData1)>0)
{  
	$i=1;
	while($RowData1 = DB_fetch_array($ResultData1))
	{  
		if($_REQUEST['ledgerentry']==1 || $_REQUEST['ledgerentry']==4 || $_REQUEST['ledgerentry']==2 || $_REQUEST['ledgerentry']==3)
		{
			if($ledgerdata!='0')
			{
		       $ResultData2=DB_query("select A.* FROM account_book_details A   where A.account_bookid ='". $RowData1['Pid']."' and A.ledgerid='".$ledgerdata."'    ",$db);
		     }
		     else
		     {
		       $ResultData2=DB_query("select A.* FROM account_book_details A   where A.account_bookid ='". $RowData1['Pid']."' ",$db);	
		     }  
		}
		else					   
		{
		  if($ledgerdata!='0')
		  {
		     $ResultData2=DB_query("select A.id,A.account_bookid,A.amount as AMT,  B.ledgerid as ledgerid,B.amount,B.currency,B.amount_type FROM account_book_details A, account_book_details  B   where A.account_bookid ='". $RowData1['Pid']."' and A.ledgerid='".$ledgerdata."' and  A.account_bookid=B.account_bookid",$db);
		  }
		  else
		  {
		  	$ResultData2=DB_query("select A.id,A.account_bookid,A.amount as AMT,  B.ledgerid as ledgerid,B.amount,B.currency,B.amount_type FROM account_book_details A, account_book_details  B   where A.account_bookid ='". $RowData1['Pid']."' and  A.account_bookid=B.account_bookid",$db);
		  }   
		}
		if(DB_num_rows($ResultData2)>0)
		{	
              
		if($_REQUEST['ledgerentry']==1 || $_REQUEST['ledgerentry']==2) 
		{?>
<tr class="f11">
	<td><?php echo $i++.".";?></td>
	<td><?php echo ConvertSQLDate($RowData1['Dates'])?></td>
	<td>&nbsp;</td>
	<td><?php echo $RowData1['Voucher_NO'];?> </td>
	<td><?php echo $vpr= $s->GetFieldValue('voucher_master',"VoucherType='".$RowData1['VPrefix']."'",'VPrefix');?></td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<?php if($_REQUEST['ledgerentry']==1 || $_REQUEST['ledgerentry']==2) { ?>
	<td><?php echo $s->getField('account_book','id',$RowData1['Pid'],'narration'); ?></td>
	<?php } ?>
</tr>
<?php 
while($RowData2 = DB_fetch_array($ResultData2))
{ 
$flag=0;
	switch($vpr)
	{
		case 'CP':  
		break;
	}
?>
<tr class="f11">
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td><?php 
	if($_REQUEST['ledgerid']!='Day'  &&  $_REQUEST['ledgerentry']!=2 && $_REQUEST['ledgerentry']!=3)
	{
	$acid=DB_query("select ledgerid from account_book_details where ledgerid!='".$RowData2['ledgerid']."' and account_bookid='".$RowData2['account_bookid']."' limit 1 ",$db);
	$acid1=DB_fetch_array($acid);
	echo $s->GetFieldValue('accountledger',"AccountsID='".$acid1['ledgerid']."'",'AccountName');
	}
	else 
	{	
	echo $s->GetFieldValue('accountledger',"AccountsID='".$RowData2['ledgerid']."'",'AccountName');
	}
	?>
	</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td style="text-align:right;">
	<?php  
	if($RowData2['amount_type']=='DR')
	echo $AMTDR=$RowData2['amount'];
	else
	echo $AMTDR=0;	
	$TDR[]= $AMTDR;;
	?>
	</td>
	<td style="text-align:right;">
	<?php  
	if($RowData2['amount_type']=='CR')
	echo $AMTCR=$RowData2['amount'];
	else
	echo $AMTCR=0;
	$TCR[]= $AMTCR;;
	?>
	</td>
	<td>&nbsp;</td>
	<!-- <td>&nbsp;</td> -->
</tr>
<?php 
$counter++;
//echo $counter;
$numRows1=DB_num_rows($ResultData2);
if($numRows1==1)
{
if($counter%14==0)
{ 
$flag=$numRows1;
?>
<tr>
	<td style="padding:0px;" colspan="8"><hr ></td>
</tr>
</table>
</div>
<div class="div_second">
<?php echo $logo; ?>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
<?php echo $header; ?>	
<?php }
}
else
{
if($counter%200==0)
{
$flag=$numRows1;
 ?>
 <tr>
	<td style="padding:0px;" colspan="8"><hr ></td>
</tr>
</table>
</div>
<div class="div_second">
<?php echo $logo; ?>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
<?php echo $header; ?>
<?php }
}
}?>
<?php if($flag==0) {?>
<tr>
	<td style="padding:0px;" colspan="8"><hr ></td>
</tr>
<?php } ?>
<?php 
	}
		else
		{ ?>
<tr class="f11">
	<td><?php echo $i++.".";?></td>
	<td><?php echo ConvertSQLDate($RowData1['Dates'])?></td>
	<td>&nbsp;</td>
	<td><?php echo $RowData1['Voucher_NO'];?></td>
	<td>
	<?php   
	echo  $vpr= $s->GetFieldValue('voucher_master',"VoucherType='".$RowData1['VPrefix']."'",'VPrefix');?>
	</td>
	<td>&nbsp;</td>
	<?php if($_REQUEST['ledgerentry']==1 || $_REQUEST['ledgerentry']==2) {      ?>
	<td>
	<?php	
	echo $s->getField('account_book','id',$RowData1['Pid'],'narration');  
	?>
	</td>
	<?php } ?>
</tr>
<?php 
while($RowData2 = DB_fetch_array($ResultData2))
{ 
$flag1=0;
	switch($vpr)
	{
	case 'CP':  
	break;
	}
?>
<tr class="f11">
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td><?php 
	if($_REQUEST['ledgerid']!='Day'  &&  $_REQUEST['ledgerentry']!=2 && $_REQUEST['ledgerentry']!=3)
	{
	$acid=DB_query("select ledgerid from account_book_details where ledgerid!='".$RowData2['ledgerid']."' and account_bookid='".$RowData2['account_bookid']."' limit 1 ",$db);
	$acid1=DB_fetch_array($acid);
	echo $s->GetFieldValue('accountledger',"AccountsID='".$acid1['ledgerid']."'",'AccountName');
	}
	else 
	{	
	
	echo $s->GetFieldValue('accountledger',"AccountsID='".$RowData2['ledgerid']."'",'AccountName');
	}
	?>
	</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td style="text-align:right;">
	<?php  
	if($RowData2['amount_type']=='DR')
	echo $AMTDR=$RowData2['amount'];
	else
	echo $AMTDR=0;
	
	$TDR[]= $AMTDR;;
	?>
	</td>
	<td style="text-align:right;"><?php  
	if($RowData2['amount_type']=='CR')
	echo $AMTCR=$RowData2['amount'];
	else
	echo $AMTCR=0;
	$TCR[]= $AMTCR;;
	?></td>
</tr>
<?php 
$counter++;
$numRows1=DB_num_rows($ResultData2);
if($numRows1==1)
{
if($counter%14==0)
{ 
$flag1=$numRows1;
?>
<!-- <tr>
	<td style="padding:0px;" colspan="8"><hr ></td>
</tr> -->
</table>
</div>
<div class="div_second">
<?php echo $logo; ?>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
<?php echo $header; ?>	
<?php 
		}
}
else
{
if($counter%20==0)
{ 
$flag1=$numRows1;
?>
<!-- <tr>
	<td style="padding:0px;" colspan=""><hr ></td>
</tr> -->
</table>
</div>
<div class="div_second">
<?php echo $logo; ?>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
<?php echo $header; ?>	
<?php 
		}
}
	
	
	}// END OF WHILE WITHOUT NARRATION
?>
<?php if($flag1==0) {?>
<tr>
	<td style="padding:0px;" colspan="7"><hr ></td>
</tr>
<?php } ?>
					<?php 
					}
				}
			 }
	  	 }
?>
<tr class="f12">
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td style="text-align:right;">Current Total:</td>
	<td style="text-align:right;"><?php echo number_format(array_sum($TDR),2); ?></td>
	<td style="text-align:right;"><?php echo number_format(array_sum($TCR),2); ?></td>
	<td>&nbsp;</td>
</tr>
</table>
</div>
</div>
<script type="text/javascript" language="javascript">
  function toggle_visibility(id) {
  var msg=confirm("Please Use Mozilla Firefox in Landscap Mode For Better Print");
  if(msg)
  {
       var e = document.getElementById(id);
	       e.style.display = 'none';
		       //alert(e.style.display);
			   window.print();
	}
    }
</script>
</body>
</html>